﻿<Window x:Class="MyPopUpStore_LM.UI.Views.ProductView"
        xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
        xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
        xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
        xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
        xmlns:local="clr-namespace:MyPopUpStore_LM.UI.Views"
        mc:Ignorable="d"
        Title="ProductView" Height="450" Width="800">
    <Grid>
        <Grid.ColumnDefinitions>
            <ColumnDefinition Width="1*"/>
            <ColumnDefinition Width="4*"/>
            <ColumnDefinition Width="1*"/>
        </Grid.ColumnDefinitions>
        
        <Grid.RowDefinitions>
            <RowDefinition Height="auto"/>
            <RowDefinition Height="1*"/>
            <RowDefinition Height="1*"/>
            <RowDefinition Height="1*"/>
            <RowDefinition Height="1*"/>
            <RowDefinition Height="1*"/>
            <RowDefinition Height="1*"/>
        </Grid.RowDefinitions>

        <StackPanel Grid.Row="0" Margin="0,0,0,0" Background="Gray" Grid.ColumnSpan="4">
            <Label Content="Product" FontSize="25" FontWeight="Bold" Foreground="White" Padding="10,10,10,10" HorizontalAlignment="Center" />
        </StackPanel>

        <StackPanel Grid.Column="0" Grid.Row="1" Margin="0,10,0,63" Grid.RowSpan="2">
            <Button x:Name="ReturnBackButton" Content="Return" Width="55" Height="21" Click="ReturnBackButton_Click"/>
        </StackPanel>

        <WrapPanel Grid.Column="1" Grid.Row="2" Margin="0,0,0,0" HorizontalAlignment="Center">
            <Label Content="Product Code :"/>
            <TextBox Name="ProductCodeTextBox" Width="96" Text="{Binding Product.ProductCode}"/>
        </WrapPanel>

        <WrapPanel Grid.Column="1" Grid.Row="3" Margin="0,0,0,0" HorizontalAlignment="Center">
            <Label Content="Product Name :" />
            <TextBox Name="ProductNameTextBox" Width="96" Text="{Binding Product.Wording}"/>
        </WrapPanel>

        <WrapPanel Grid.Column="1" Grid.Row="4" 
                   Margin="0,0,0,0" 
                   HorizontalAlignment="Center">
            <Label Content="Price Category : " />
            <ComboBox x:Name="PrixCategoryComboBox" 
                      Width="169" 
                      ItemsSource="{Binding Path=PriceCategories}" 
                      DisplayMemberPath="Amount"
                      IsSynchronizedWithCurrentItem="True"
                      SelectedValue="{Binding Path=Product.IdPrice, Mode=TwoWay}"
                      SelectedValuePath="IdPrice"/>
        </WrapPanel>

        <WrapPanel Grid.Column="1" Grid.Row="5" Margin="0,0,0,0" HorizontalAlignment="Center">
            <Label Content="Stock :" />
            <TextBox Name="ProductStockTextBox" Width="96" Text="{Binding Product.Stock}"/>
        </WrapPanel>

        <StackPanel Grid.Column="1" Grid.Row="6" Margin="0,0,0,0">
            <Button x:Name="CreateProductButton" Content="Create/ModifyProduct" Width="138" Height="21" Click="CreateProductButton_Click"/>
        </StackPanel>

    </Grid>
</Window>
